Bug 30607 - Enable 'Clear filter' option on DataTables Search for patron searches
Summary: Enable 'Clear filter' option on DataTables Search for patron searches
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 30063
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-25 13:03 UTC by Martin Renvoize
Modified: 2022-05-17 12:38 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30607: Don't overload our default initComplete (1.74 KB, patch)
2022-04-27 11:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30607: Don't overload our default initComplete (1.79 KB, patch)
2022-05-02 01:30 UTC, David Nind
Details | Diff | Splinter Review
Bug 30607: Don't overload our default initComplete (1.92 KB, patch)
2022-05-06 08:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2022-04-25 13:03:16 UTC
The 'clear filter' button is permanently disabled on the patron search results page (member.pl). It shouldn't be.
Comment 1 Jonathan Druart 2022-04-27 11:55:17 UTC
Created attachment 134061 [details] [review]
Bug 30607: Don't overload our default initComplete

We want to keep the default initComplete call to add/remove the
'disabled' class on the 'Clear filters' link.

Test plan:
Search for patrons, add something to the general DT search and confirm
that the 'Clear filters' link can be clicked (ie. is not disabled) when
the input field is not empty.
Comment 2 Jonathan Druart 2022-04-27 11:55:39 UTC
Is there a more elegant way?
Comment 3 David Nind 2022-05-02 01:30:54 UTC
Created attachment 134450 [details] [review]
Bug 30607: Don't overload our default initComplete

We want to keep the default initComplete call to add/remove the
'disabled' class on the 'Clear filters' link.

Test plan:
Search for patrons, add something to the general DT search and confirm
that the 'Clear filters' link can be clicked (ie. is not disabled) when
the input field is not empty.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Marcel de Rooy 2022-05-06 08:34:23 UTC
QAing
Comment 5 Marcel de Rooy 2022-05-06 08:40:10 UTC
(In reply to Jonathan Druart from comment #2)
> Is there a more elegant way?

Good question ;)
Comment 6 Marcel de Rooy 2022-05-06 08:41:23 UTC
Created attachment 134695 [details] [review]
Bug 30607: Don't overload our default initComplete

We want to keep the default initComplete call to add/remove the
'disabled' class on the 'Clear filters' link.

Test plan:
Search for patrons, add something to the general DT search and confirm
that the 'Clear filters' link can be clicked (ie. is not disabled) when
the input field is not empty.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Agree that it does not look very elegant.
Comment 7 Martin Renvoize 2022-05-06 09:15:34 UTC
I couldn't come up with a more elegant way.. been mulling it over for a few days and I came up empty.. so I fully agree with the PQA here :)
Comment 8 Fridolin Somers 2022-05-06 20:34:50 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄